<template>
  <div class="text-center q-py-lg">
    <div class="text-h4 q-mt-lg q-mb-md">Sign Up</div>
    <div class="text-subtitle2">Create an account by choosing an option below:</div>
    <q-btn unelevated class="q-mt-lg" @click="login">
      <img src="../assets/google-sign-in/btn_google_signin_light_normal_web.png">
    </q-btn>
  </div>
</template>

<script>
import { auth } from 'src/api/firebase'

export default {
  methods: {
    async login () {
      auth().signInWithPopup(new auth.GoogleAuthProvider())
        .then((result) => {
          const user = result.user.providerData[0]
          this.$store.dispatch('user/setUserProfile', user)
          localStorage.setItem('userName', user.displayName)
          this.$router.push('/')
        })
        .catch((error) => {
          console.log(`Authentication error: ${JSON.stringify(error)}`)
        })
    }
  }
}
</script>

<style scoped>

</style>
